# List Templates

Retrieves a list of templates created under your account. Default templates provided by the platform are not included.

<Callout icon="📘" theme="info">
  **Note:**

  * Scroll down to the **Response** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** section on the right and choose an example to see how the API response appears for each status code.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v2/templates": {
      "get": {
        "summary": "List Templates",
        "description": "This API now supports New AI Studio!",
        "operationId": "list-templates-v2",
        "responses": {
          "200": {
            "description": "Templates retrieved successfully - Expand to view the detailed response schema.",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "error": null,
                      "data": {
                        "templates": [
                          {
                            "template_id": "22a48da453ef4c014a6a60d827a02f0b",
                            "name": "My Template # 1",
                            "thumbnail_image_url": null,
                            "aspect_ratio": "landscape"
                          },
                          {
                            "template_id": "f6552f86a6ec48e323698d485438e978",
                            "name": "My Template # 2",
                            "thumbnail_image_url": null,
                            "aspect_ratio": "portrait"
                          }
                        ]
                      }
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "description": "Displays error message when the request fails; null if the request is successful."
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "templates": {
                          "type": "array",
                          "description": "A list of template objects. ",
                          "items": {
                            "properties": {
                              "template_id": {
                                "type": "string",
                                "description": "Unique identifier of the template."
                              },
                              "name": {
                                "type": "string",
                                "description": "Display name of the template. "
                              },
                              "thumbnail_image_url": {
                                "type": "string",
                                "description": "URL of the thumbnail image representing the template. Returns `null` if no thumbnail is available.  "
                              },
                              "aspect_ratio": {
                                "type": "string",
                                "description": "The screen format or dimensions of the template (e.g., `landscape` or `portrait`). "
                              }
                            },
                            "type": "object"
                          }
                        }
                      },
                      "description": "Contains the list of templates you have created in your account. "
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```